package com.bytedance.android.livesdk.wallet;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class GetPIPOUrlResult {
    @c(LIZ = "data")
    public UrlData LIZ;

    static {
        Covode.recordClassIndex(21587);
    }

    public static final class UrlData {
        @c(LIZ = "pipo_url")
        public String LIZ;
        @c(LIZ = "merchant_id")
        public String LIZIZ;

        static {
            Covode.recordClassIndex(21588);
        }

        public final String toString() {
            StringBuilder sb = new StringBuilder();
            if (this.LIZ != null) {
                sb.append(", pipo_url=");
                sb.append(this.LIZ);
            }
            if (this.LIZIZ != null) {
                sb.append(", merchant_id=");
                sb.append(this.LIZIZ);
            }
            sb.replace(0, 2, "UrlData{");
            sb.append('}');
            return sb.toString();
        }
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZ != null) {
            sb.append(", data=");
            sb.append(this.LIZ);
        }
        sb.replace(0, 2, "GetPIPOUrlResult{");
        sb.append('}');
        return sb.toString();
    }
}
